ComplexMessage (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.util.ComplexMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.util
Class ComplexMessage

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  org.hyperic.hq.ui.util.ComplexMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ComplexMessage

extends java.util.ArrayList

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ComplexMessage(CMsgElement elt)`
`ComplexMessage(CMsgElement[] elts)`
`ComplexMessage(java.util.List elts)`
`ComplexMessage(java.lang.String text)`
`ComplexMessage(java.lang.String text, java.lang.String url)`
`ComplexMessage(java.lang.String text, java.lang.String[] params)`
`ComplexMessage(java.lang.String text, java.lang.String url, java.lang.String[] params)`

Method Summary
`void` | `addElement(CMsgElement elt)`
`void` | `addElement(java.lang.String text)`
`void` | `addElement(java.lang.String text, java.lang.String url)`
`void` | `addElement(java.lang.String text, java.lang.String url, java.lang.String[] params)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ComplexMessage

    public ComplexMessage(CMsgElement[] elts)

### ComplexMessage

    public ComplexMessage(java.util.List elts)

### ComplexMessage

    public ComplexMessage(CMsgElement elt)

### ComplexMessage

    public ComplexMessage(java.lang.String text)

### ComplexMessage

    public ComplexMessage(java.lang.String text,
                          java.lang.String[] params)

### ComplexMessage

    public ComplexMessage(java.lang.String text,
                          java.lang.String url,
                          java.lang.String[] params)

### ComplexMessage

    public ComplexMessage(java.lang.String text,
                          java.lang.String url)

Method Detail

### addElement

    public void addElement(CMsgElement elt)

### addElement

    public void addElement(java.lang.String text)

### addElement

    public void addElement(java.lang.String text,
                           java.lang.String url)

### addElement

    public void addElement(java.lang.String text,
                           java.lang.String url,
                           java.lang.String[] params)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.